# Example configuration for a subversion viewvc repository
#
# put the string SVN_VIEWCVS in /etc/sysconfig/apache2 APACHE_SERVER_FLAGS
# to enable the URL
# http://localhost/viewvc
<IfDefine SVN_VIEWCVS>
	<IfModule mod_rewrite.c>
		RewriteEngine On
		RewriteRule /viewcvs(.*) /viewvc$1 [L,R]
	</IfModule>

	ScriptAlias /viewvc /srv/viewvc/bin/cgi/viewvc.cgi

	<Directory "/srv/viewvc/bin/cgi">
		AllowOverride None
		Options +ExecCGI
		Order allow,deny
		Allow from all
	</Directory>

	# apache can serve the static files directly
	Alias /viewvc-docroot "/srv/viewvc/templates/docroot"
	<Directory /srv/viewvc/templates/docroot/>
			AllowOverride None
			Order allow,deny
			Allow from all
	</Directory>

</IfDefine>

<IfModule mod_python.c>
<IfDefine SVN_VIEWCVS_MODPYTHON>
	<IfModule mod_rewrite.c>
		RewriteEngine On
		RewriteRule /viewcvs(.*) /viewvc$1 [L,R]
	</IfModule>

	<Directory "/srv/viewvc/bin/mod_python">
		AllowOverride None
		#Options +ExecCGI
		Order allow,deny
		Allow from all
	</Directory>

	ScriptAlias /viewvc "/srv/viewvc/bin/mod_python/myviewvc.py"
	<Location /viewvc>
		AddHandler python-program .py
		PythonPath "['/srv/viewvc/bin/mod_python']+sys.path"
		PythonHandler handler
		#PythonDebug On
		#AddDefaultCharset UTF-8
	</Location>

	# apache can serve the static files directly
	Alias /viewvc-docroot "/srv/viewvc/templates/docroot"
	<Directory /srv/viewvc/templates/docroot/>
			AllowOverride None
			Order allow,deny
			Allow from all
	</Directory>

</IfDefine>
</IfModule>

